Bug 676467 - glibc-debuginfo.i686 and glibc-debuginfo.x86_64 conflict
Summary: glibc-debuginfo.i686 and glibc-debuginfo.x86_64 conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: GSS_6_2_PROPOSED 697582
TreeView+ depends on / blocked
 
Reported: 2011-02-09 23:08 UTC by Siddhesh Poyarekar
Modified: 2018-11-26 19:29 UTC (History)
7 users (show)

Fixed In Version: glibc-2.12-1.26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:46:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC

Description Siddhesh Poyarekar 2011-02-09 23:08:07 UTC
Description of problem:
glibc-debuginfo.i686 and glibc-debuginfo.x86_64 conflict and cannot be installed together on a system.

Version-Release number of selected component (if applicable):
glibc-2.12-1.7.el6

How reproducible:
Always

Steps to Reproduce:

~$ sudo debuginfo-install glibc
Package yum-plugin-auto-update-debug-info-1.1.26-11.el6.noarch already installed and latest version
--> Running transaction check
---> Package glibc-debuginfo.i686 0:2.12-1.7.el6_0.3 set to be updated
---> Package glibc-debuginfo.x86_64 0:2.12-1.7.el6_0.3 set to be updated
---> Package nss-softokn-debuginfo.i686 0:3.12.7-1.1.el6 set to be updated
---> Package nss-softokn-debuginfo.x86_64 0:3.12.7-1.1.el6 set to be updated
--> Finished Dependency Resolution

=============================================================================================================================================================================================
Package Arch Version Repository Size
=============================================================================================================================================================================================
Installing:
glibc-debuginfo i686 2.12-1.7.el6_0.3 base-updates 17 M
nss-softokn-debuginfo i686 3.12.7-1.1.el6 distro-debug 944 k
nss-softokn-debuginfo x86_64 3.12.7-1.1.el6 distro-debug 1.0 M
Updating:
glibc-debuginfo x86_64 2.12-1.7.el6_0.3 base-updates 16 M

Transaction Summary
=============================================================================================================================================================================================
Install 3 Package(s)
Upgrade 1 Package(s)

Total download size: 35 M
Is this ok [y/N]: y
Downloading Packages:
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total 43 MB/s | 35 MB 00:00
Running rpm_check_debug
Running Transaction Test


Transaction Check Error:
file /usr/lib/debug/sbin/ldconfig.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/sbin/sln.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/gencat.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/getconf.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/getent.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/iconv.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/locale.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/localedef.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/memusagestat.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/pcprofiledump.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/rpcgen.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/bin/sprof.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/sbin/build-locale-archive.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/sbin/iconvconfig.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/sbin/nscd.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/sbin/tzdata-update.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/sbin/zdump.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64
file /usr/lib/debug/usr/sbin/zic.debug conflicts between attempted installs of glibc-debuginfo-2.12-1.7.el6_0.3.i686 and glibc-debuginfo-2.12-1.7.el6_0.3.x86_64

Expected Result:

Both debuginfo packages should install alongside each other.

Comment 6 errata-xmlrpc 2011-12-06 17:46:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.